import argparse

from backtrace_unreald.unreald_config import UnrealdConfig
from backtrace_unreald.unreald_webservice import run_app
import backtracepython as bt

if __name__ == '__main__':
    print('Crash Receiver startup...')

    parser = argparse.ArgumentParser(description='Crash Receiver')
    parser.add_argument('--http-port', type=int, default=80,
                        help='Port to use to receive crashes')
    parser.add_argument('--config-file', type=str, default='/etc/unreald.conf')
    parser.add_argument('--instance-id', type=int)
    args = parser.parse_args()
    print('Config:')
    print('   %s' % args)

    config = UnrealdConfig(args)

    bt.initialize(
        endpoint=config.script_backtrace_endpoint,
        token=config.script_backtrace_token,
    )

    run_app(config)
